%define	module m2ext
Summary:	M2Crypto Extensions
Name:		python-m2ext
Version:	0.1
Release:	5
License:	BSD
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/m/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	5b8e448a74a84f8047b8d0713b05bf85
URL:		http://pypi.python.org/pypi/m2ext
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	python-M2Crypto
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	swig
BuildRequires:	swig-python
Requires:	python-M2Crypto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains some extended functions which are not (yet)
available in M2Crypto
<http://chandlerproject.org/Projects/MeTooCrypto> trunk.

%prep
%setup -q -n %{module}-%{version}

%build
# The pkgconfig bit was taken from m2crypto.spec
# https://apps.fedoraproject.org/packages/m2crypto/sources/spec/
CFLAGS="%{rpmcflags}"
if pkg-config openssl; then
	CFLAGS="$CFLAGS $(pkg-config --cflags openssl)"
	LDFLAGS="$LDFLAGS $(pkg-config --libs-only-L openssl)"
fi
export CFLAGS LDFLAGS

CC="%{__cc}" \
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

chmod a+x $RPM_BUILD_ROOT/%{py_sitedir}/%{module}/_m2ext.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%dir %{py_sitedir}/m2ext
%{py_sitedir}/m2ext/*.py[co]
%attr(755,root,root) %{py_sitedir}/m2ext/_m2ext.so
%{py_sitedir}/m2ext-%{version}-py*.egg-info
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-m2ext.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0279b30
- rebuild with openssl 3.0.0

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 25630e2
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 20e29f8
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 88588bd
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7b47715
- automatic change: use py_build/py_install macros

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f66fd41
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 23 2014 Elan Ruusamäe <glen@delfi.ee> 5b72f53
- BR swig-python

* Sun Nov 23 2014 Elan Ruusamäe <glen@delfi.ee> f7b1413
- new, version 0.1

